1. AC Question's Avatar
    Hi.. I have an older smartphone, HTC Wildfire, with an old android version of 2.3 or 2.2 i guess.. My problem is, that when I try to download Viber, it says that your device is not compatible for this version.
    I really want to use Viber.. Can anybody tell me a way to use Viber in my cell phone.
    Thanks in advance.
    09-28-2014 02:38 AM
  2. B. Diddy's Avatar
    Welcome to Android Central! If an app isn't compatible with your device, then you can't use it. Might it be time to upgrade your device?
    09-29-2014 03:36 AM

Similar Threads

  1. Is is possible to restart a dead Galaxy Tab Lite Y?
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 09-29-2014, 03:37 AM
  2. How can I export pictures on my Moto X to my Win 7 Computer?
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 09-28-2014, 02:09 AM
  3. Replies: 1
    Last Post: 09-28-2014, 02:09 AM
  4. Why does the Galaxy S5 Lag and Freeze so much?
    By AC Question in forum Ask a Question
    Replies: 1
    Last Post: 09-28-2014, 02:05 AM
  5. Replies: 0
    Last Post: 09-28-2014, 01:53 AM
LINK TO POST COPIED TO CLIPBOARD